OSDir


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Openstack] HA Compute & Instance Evacuation


Hi Torin,

>> Do you have a timetable on when the patch will be merged? If it is a relatively small window of time, I would rather wait to use
>> the patched mainline code.
You should be able to test masakari successfully as below three patches are already merged.

1. https://review.openstack.org/#/c/546492/15 - openstack/masakari-monitors (it doesn't use masakariclient any more)
2. https://review.openstack.org/#/c/567781/ - openstack/requirements (openstacksdk lower constraints updated to 0.13.0)
3. https://review.openstack.org/#/c/536653/ - openstack/masakari (change service-type from "ha" to "instance-ha".

If you are planning to install Openstack using latest devstack, then it will install openstacksdk 0.13.0 by default. No need to take any further action by yourself otherwise you need to ensure that you have correct version of openstacksdk (0.13.0) and also add masakari endpoint to use the correct service-type. Recommend to install latest masakari using devstack.

4. https://review.openstack.org/#/c/557634/2 - python-masakariclient (This patch needs to be merged ASAP)
If you are planning to use python-masakariclient to create failover segments or add hosts etc, then you will need to wait until this patch is merged. We need to update this patch to add correct version of openstacksdk in requirements.txt. We will merge this particular patch by tomorrow. But if you plan to add failover segment/hosts by calling RestFul API using curl or any other method, then probably you won't face any issues.

Regards,
Tushar Patil




________________________________________
From: Torin Woltjer <torin.woltjer at granddial.com>
Sent: Friday, May 11, 2018 11:46:05 PM
To: Patil, Tushar
Cc: jpetrini at coredial.com; openstack at lists.openstack.org
Subject: Re: [Openstack] HA Compute & Instance Evacuation

On Friday, May 11, 2018 12:40:58 AM EDT Patil, Tushar wrote:
> I think this is what is needed to make it work.
> Install openstacksdk version 0.13.0.
>
> Apply  patch: https://review.openstack.org/#/c/546492/
>
> In this patch ,we need to bump openstacksdk version from 0.11.2 to 0.13.0.
> We will merge above patch soon.

Do you have a timetable on when the patch will be merged? If it is a
relatively small window of time, I would rather wait to use the patched
mainline code. Otherwise, I am willing to try to work with the patch.
Additionally, patching python is something that I am not familiar with. Is
there a good resource on doing this?

You have been a great help so far, thanks again.


Disclaimer: This email and any attachments are sent in strictest confidence for the sole use of the addressee and may contain legally privileged,confidential, and proprietary data. If you are not the intended recipient,please advise the sender by replying promptly to this email and then delete and destroy this email and any attachments without any further use, copying or forwarding.